.sidebar {
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    z-index: 1100;
    position: fixed;
    overflow-y: auto;
    background: $dark;
    padding: rem(93) 0 rem(48) 0;
    opacity: 0;
    visibility: hidden;
    transition: .3s;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        content: '';
        z-index: 1140;
        height: rem(85);
        position: fixed;
        background: $dark;
    }

    &__close {
        top: 0;
        padding: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        z-index: 1150;
        width: rem(48);
        height: rem(85);
        position: fixed;
        background: transparent;
        display: flex;
        align-items: center;
        justify-content: flex-start;
        stroke: $white;
        background: $dark;

        i {
            height: rem(32);
            display: inline-block;
            flex-shrink: 0;
        }
    }

    &__logo {
        display: block;
        width: rem(99);
        margin-bottom: rem(12);
    }

    &__nav {
        margin-bottom: rem(12);
    }

    &__text {
        color: $gray;
        opacity: 0.5;
        font-size: rem(12);
        line-height: rem(18);
        margin-bottom: rem(20);

        p {
            margin: 0;
        }
    }

    &__social {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;

        > * {
            margin-right: rem(24);
        }
    }

    @include media-breakpoint-up(md) {}
    @include media-breakpoint-up(lg) {}
    @include media-breakpoint-up(xl) {
        display: none;
    }
}

.sidebar-nav {
    font-size: rem(14);
    line-height: rem(20);

    ul {
        margin: 0;
        padding: 0;
        list-style: none;

        > li {

            > a {
                color: #C0C1C9;
                stroke: #776345;
                min-height: rem(50);
                text-decoration: none;
                display: flex;
                align-items: center;
                justify-content: space-between;

                &:hover {
                    text-decoration: none;
                }
            }
        }
    }

    > ul {

        > li {

            > a  {
                color: $white;
                font-size: rem(18);
                line-height: rem(26);


                span {
                    display: inline-block;
                    flex-grow: 1;
                }

                i {
                    font-size: 0;
                    line-height: 0;
                    flex-shrink: 0;
                    height: rem(16);
                    display: inline-block;
                    transform: rotate(0deg);
                    transition: .3s;
                }
            }

            &.open {

                > a {

                    i {
                        transform: rotate(90deg);
                        transition: .3s;
                    }
                }

                [data-nav-children] {
                    opacity: 1;
                }
            }
        }
    }

    [data-nav-children] {
        overflow: hidden;
        max-height: 0;
        opacity: 0;
        will-change: max-height;
        transition: all 0.3s ease-out;
    }
}

.nav-open {

    .sidebar {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }
}
